inputmethod/im-ja - The NetBSD Packages Collection

Japanese input module for GTK2 and XIM server

im-ja is a Japanese input module for GTK2 and also has a XIM server.
Currently supports hiragana, katakana, half-width katakana, zenkaku, canna, wnn,
anthy, skk and kanji character recognition inputs.
Conversion hotkeys, status window, preedit text colors, etc. can be customized
through a GUI.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

inputmethod/canna-lib inputmethod/anthy devel/GConf devel/libglade x11/gtk2 sysutils/desktop-file-utils inputmethod/anthy devel/GConf devel/libglade x11/gtk2 sysutils/desktop-file-utils

Available binary packages

aarch64:im-ja-1.5nb70.tgz(NetBSD 9.0)
aarch64:im-ja-1.5nb71.tgz(NetBSD 9.0)
aarch64:im-ja-1.5nb72.tgz(NetBSD 9.0)
alpha:im-ja-1.5nb72.tgz(NetBSD 9.0)
alpha:im-ja-1.5nb71.tgz(NetBSD 9.0)
earmv6hf:im-ja-1.5nb72.tgz(NetBSD 9.0)
earmv6hf:im-ja-1.5nb70.tgz(NetBSD 9.0)
earmv6hf:im-ja-1.5nb71.tgz(NetBSD 9.0)
earmv6hf:im-ja-1.5nb72.tgz(NetBSD 9.0)
earmv7hf:im-ja-1.5nb72.tgz(NetBSD 8.0)
earmv7hf:im-ja-1.5nb69.tgz(NetBSD 8.0)
earmv7hf:im-ja-1.5nb70.tgz(NetBSD 8.0)
earmv7hf:im-ja-1.5nb72.tgz(NetBSD 9.0)
earmv7hf:im-ja-1.5nb69.tgz(NetBSD 9.0)
earmv7hf:im-ja-1.5nb70.tgz(NetBSD 9.0)
earmv7hf:im-ja-1.5nb71.tgz(NetBSD 9.0)
earmv7hf:im-ja-1.5nb72.tgz(NetBSD 9.0)
i386:im-ja-1.5nb70.tgz(NetBSD 8.0)
i386:im-ja-1.5nb71.tgz(NetBSD 8.0)
i386:im-ja-1.5nb72.tgz(NetBSD 8.0)
i386:im-ja-1.5nb70.tgz(NetBSD 9.0)
i386:im-ja-1.5nb71.tgz(NetBSD 9.0)
i386:im-ja-1.5nb72.tgz(NetBSD 9.0)
mips64eb:im-ja-1.5nb71.tgz(NetBSD 9.0)
powerpc:im-ja-1.5nb70.tgz(NetBSD 8.0)
powerpc:im-ja-1.5nb71.tgz(NetBSD 8.0)
powerpc:im-ja-1.5nb72.tgz(NetBSD 8.0)
powerpc:im-ja-1.5nb72.tgz(NetBSD 9.0)
powerpc:im-ja-1.5nb70.tgz(NetBSD 9.0)
powerpc:im-ja-1.5nb71.tgz(NetBSD 9.0)
sparc64:im-ja-1.5nb72.tgz(NetBSD 9.0)
sparc64:im-ja-1.5nb71.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb71.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb71.tgz(NetBSD 8.0)
x86_64:im-ja-1.5nb70.tgz(NetBSD 8.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 8.0)
x86_64:im-ja-1.5nb70.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb71.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 9.0)
x86_64:im-ja-1.5nb72.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

anthy
Use Anthy as Japanese conversion program.
canna
Use Canna as Japanese conversion program.
skk
Use SKK for Kana-to-Kanji conversion.
wnn4
Use wnn for Kana-to-Kanji conversion.
xim
Enable X Input Method support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]